org.keycloak.admin.client.resource

## Interface UsersResource

-     public interface UsersResource

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(UserRepresentation userRepresentation)`
    `UserResource` | `get(String username)`
    `List<UserRepresentation>` | `search(String search, Integer firstResult, Integer maxResults)`
    `List<UserRepresentation>` | `search(String username, String firstName, String lastName, String email, Integer firstResult, Integer maxResults)`

- - ### Method Detail

    - #### search

          @GET
          @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                     String username,
                                                     @QueryParam(value="firstName")
                                                     String firstName,
                                                     @QueryParam(value="lastName")
                                                     String lastName,
                                                     @QueryParam(value="email")
                                                     String email,
                                                     @QueryParam(value="first")
                                                     Integer firstResult,
                                                     @QueryParam(value="max")
                                                     Integer maxResults)

    - #### search

          @GET
          @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="search")
                                                     String search,
                                                     @QueryParam(value="first")
                                                     Integer firstResult,
                                                     @QueryParam(value="max")
                                                     Integer maxResults)

    - #### create

          @POST
          @Consumes(value="application/json")
          void create(UserRepresentation userRepresentation)

    - #### get

          @Path(value="{username}")
          UserResource get(@PathParam(value="username")
                              String username)

Copyright © 2014. All Rights Reserved.